gEDA: Insecure temporary file creation — GLSA 200903-08

An insecure temporary file usage has been reported in gEDA, allowing for symlink attacks.

Affected Packages

sci-electronics/geda on all architectures
Affected versions < 1.4.0-r1
Unaffected versions >= 1.4.0-r1

Background

gEDA is an Electronic Design Automation tool used for electrical circuit design.

Description

Dmitry E. Oboukhov reported an insecure temporary file usage within the sch2eaglepos.sh script.

Impact

A local attacker could perform symlink attacks to overwrite arbitrary files with the privileges of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All gEDA users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=sci-electronics/geda-1.4.0-r1"

References

Release Date
March 07, 2009

Latest Revision
March 07, 2009: 01

Severity
normal

Exploitable
local

Bugzilla entries